org.apache.tiles.el

## Class ELContextImpl

- java.lang.Object
- - javax.el.ELContext
  - - org.apache.tiles.el.ELContextImpl

-     public class ELContextImpl
      extends javax.el.ELContext

  Implementation of ELContext.
  Copied from Apache Tomcat 6.0.16 source code.
  Since:
    2.2.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELContextImpl(javax.el.ELResolver resolver)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.el.ELResolver` | `getELResolver()`
    `javax.el.FunctionMapper` | `getFunctionMapper()`
    `javax.el.VariableMapper` | `getVariableMapper()`
    `void` | `setFunctionMapper(javax.el.FunctionMapper functionMapper)` Sets the function mapper to use.
    `void` | `setVariableMapper(javax.el.VariableMapper variableMapper)` Sets the variable mapper to use.

    - ### Methods inherited from class javax.el.ELContext

      `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, putContext, setLocale, setPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELContextImpl

          public ELContextImpl(javax.el.ELResolver resolver)

      Constructor.
      Parameters:
        `resolver` - The resolver to use.

  - ### Method Detail

    - #### getELResolver

          public javax.el.ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `javax.el.ELContext`

    - #### getFunctionMapper

          public javax.el.FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `javax.el.ELContext`

    - #### getVariableMapper

          public javax.el.VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `javax.el.ELContext`

    - #### setFunctionMapper

          public void setFunctionMapper(javax.el.FunctionMapper functionMapper)

      Sets the function mapper to use.
      Parameters:
        `functionMapper` - The function mapper.
      Since:
        2.2.1

    - #### setVariableMapper

          public void setVariableMapper(javax.el.VariableMapper variableMapper)

      Sets the variable mapper to use.
      Parameters:
        `variableMapper` - The variable mapper.
      Since:
        2.2.1

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.